using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GridSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            grid.Model.ReadOnly = false;
            grid.Binder.EnableAddNew = false;
            grid.Binder.EnableEdit = false;
            grid.EnableRemove = false;
            grid.ControllerOptions |= GridControllerOptions.DragColumnHeader;

                
            
            DataTable dtDummay = new DataTable();
            dtDummay.Columns.Add("Exchange");
            dtDummay.Columns.Add("Code");
            dtDummay.Columns.Add("Instrument Type");
            dtDummay.Columns.Add("Instrument Name");
            dtDummay.Columns.Add("Symbol");
            dtDummay.Columns.Add("Series");
            dtDummay.Columns.Add("Expiry Date");
            dtDummay.Columns.Add("Strike Price");
            dtDummay.Columns.Add("Option Type");
            for (int i = 0; i < 10;i++ )
            {
                DataRow dr = dtDummay.NewRow();
                dr[0] = "ABC";
                dr[1] = i;
                dr[2] = "ABC";
                dr[3] = "ABC";
                dr[4] = "ABC";
                dr[5] = "ABC";
                dr[6] = "ABC";
                dr[7] = "12/12/2007";
                dr[8] = "ABC";
                dtDummay.Rows.Add(dr);

            }
                grid.DataSource = dtDummay;
            grid.Model.Cols.Hidden[0] = true;
        }
    }
}